/*
 * File         : BV.h
 * Author       : Tomasz Stachowiak
 * Created      : Wed Jun 24 12:55:33 1998
 * Revision     : $Revision$
 * Updated      : $Date$
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1998
 */

#ifndef __BV_H
#define __BV_H

#include <stdlib.h>

#define BV_PORT 5000

#define MAX_MEMBERS 100

typedef struct _participant
{
  int handle;
  char user[20];
  int host;
} Participant;

typedef struct _invite_data
{
  int handle;
  int numMembers;
  Participant parts[1];
} InviteData;

typedef enum
{
  _modem28,
  _isdn,
  _isdn2,
  _lan
} Connection;

typedef struct _options
{
  Connection connection;
  int auto_accept;
  char local_name[50];
  char email[100];
  char server_name[100];
  int manual_switch;

  int volume;
  int mic_volume;
  
  int fps_max;

  int mic_cutoff;

} Options;

typedef struct _app_data
{
  unsigned char handle;
  int recID;
  int port;
  short tag;
  char data[1];
} AppData;

#endif

